Qt 5.11 | Qt Quick | C++ Classes | QSGRectangleNode

Qt 5.11.3 Reference Documentation

# QSGRectangleNode Class

The QSGRectangleNode class is a convenience class for drawing solid filled rectangles using scenegraph. More...

Header: | #include <QSGRectangleNode>
qmake: | QT += quick
Since: | Qt 5.8
Inherits: | QSGGeometryNode

- List of all members, including inherited members

## Public Functions

virtual | ~QSGRectangleNode() override
virtual QColor | color() const = 0
virtual QRectF | rect() const = 0
virtual void | setColor(const QColor &color) = 0
virtual void | setRect(const QRectF &rect) = 0
void | setRect(qreal x, qreal y, qreal w, qreal h)

- 4 public functions inherited from QSGGeometryNode
- 3 public functions inherited from QSGBasicGeometryNode
- 20 public functions inherited from QSGNode

## Detailed Description

The QSGRectangleNode class is a convenience class for drawing solid filled rectangles using scenegraph.

## Member Function Documentation

### `[override virtual]` QSGRectangleNode::~QSGRectangleNode()

Destroys the instance of QSGRectangleNode. The destructor is virtual.

### `[pure virtual]` QColor QSGRectangleNode::color() const

Returns the color of this rectangle.

See also setColor().

### `[pure virtual]` QRectF QSGRectangleNode::rect() const

Returns the rectangle that this rect node covers.

See also setRect().

### `[pure virtual]` void QSGRectangleNode::setColor(const QColor &color)

Sets the color of this rectangle to color. The default color will be white.

See also color().

### `[pure virtual]` void QSGRectangleNode::setRect(const QRectF &rect)

Sets the rectangle of this rect node to rect.

See also rect().

### void QSGRectangleNode::setRect(qreal x, qreal y, qreal w, qreal h)

This is an overloaded function.

Sets the rectangle of this rect node to begin at (x, y) and have width w and height h.